const uuidv4 = require('uuid/v4');
const system = require("../../../system");
const ServiceBase = require("../../sve.base");
const settings = require("../../../../config/settings");
var moment = require('moment')
class DiagnosisService extends ServiceBase {
  constructor() {
    super("dbneed", ServiceBase.getDaoName(DiagnosisService));
    this.diagnosisDao = system.getObject("db.dbneed.diagnosisDao");
  }
  async manualEvaluation(pobj) {
    var actionBody = pobj.actionBody;
    var diagnosisNeedNo = await this.getBusUid("n");
    if (!actionBody.mobile) {
      return system.getResultFail(-5004, "联系电话不能为空");
    }
    if (!actionBody.enterprise) {
      return system.getResultFail(-5005, "企业名称不能为空");
    }
    if (!actionBody.corporateType) {
      return system.getResultFail(-5005, "店铺类型不能为空");
    }
    if (!actionBody.diagnosisType) {
      return system.getResultFail(-5005, "诊断类型不能为空");
    }  
    var nobj = {
      uapp_id: pobj.appInfo.uapp_id,
      diagnosis_no: diagnosisNeedNo, // uuid
      channel_user_id: pobj.userInfo.channel_userid, // 用户id
      corporate_name: actionBody.enterprise, // 公司名称
      publish_mobile: actionBody.mobile, // 联系电话
      corporate_type: actionBody.corporateType, // 店铺类型
      diagnosis_type: actionBody.diagnosisType, // 诊断类型
      diagnosis_mode: actionBody.diagnosisMode, // 诊断方式，这里由channel项目调用带参数
      diagnosis_result: "rgshz", // 创建订单时 人工审核中 前台用
      status: "dcl", // 创建订单时 待处理 后台用
      qualifications_pic: actionBody.qualificationsPic,
      brand_pic: actionBody.brandPic,
      industry_pic: actionBody.industryPic
    }
    await this.dao.create(nobj);
    return system.getResultSuccess();
  }
}
module.exports = DiagnosisService;